monitors
Update Channel
PATCH
/
api
/
notification-channels
/
{channel_id}
Update Channel
curl --request PATCH \
--url https://api.aixy-gateway.com/api/notification-channels/{channel_id} \
--header 'Content-Type: application/json' \
--cookie gateway_session= \
--data '
{
"name": "<string>",
"enabled": true,
"email": "[email protected]",
"url": "<string>",
"signing_secret": "<string>"
}
'import requests
url = "https://api.aixy-gateway.com/api/notification-channels/{channel_id}"
payload = {
"name": "<string>",
"enabled": True,
"email": "[email protected]",
"url": "<string>",
"signing_secret": "<string>"
}
headers = {
"cookie": "gateway_session=",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {cookie: 'gateway_session=', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
enabled: true,
email: '[email protected]',
url: '<string>',
signing_secret: '<string>'
})
};
fetch('https://api.aixy-gateway.com/api/notification-channels/{channel_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "<string>",
"name": "<string>",
"type": "<string>",
"destination_hint": "<string>",
"enabled": true,
"created_at": "<string>",
"updated_at": "<string>",
"object": "notification.channel"
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}Authorizations
Secure same-origin browser session cookie.
Path Parameters
Body
application/json
⌘I
Update Channel
curl --request PATCH \
--url https://api.aixy-gateway.com/api/notification-channels/{channel_id} \
--header 'Content-Type: application/json' \
--cookie gateway_session= \
--data '
{
"name": "<string>",
"enabled": true,
"email": "[email protected]",
"url": "<string>",
"signing_secret": "<string>"
}
'import requests
url = "https://api.aixy-gateway.com/api/notification-channels/{channel_id}"
payload = {
"name": "<string>",
"enabled": True,
"email": "[email protected]",
"url": "<string>",
"signing_secret": "<string>"
}
headers = {
"cookie": "gateway_session=",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {cookie: 'gateway_session=', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
enabled: true,
email: '[email protected]',
url: '<string>',
signing_secret: '<string>'
})
};
fetch('https://api.aixy-gateway.com/api/notification-channels/{channel_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "<string>",
"name": "<string>",
"type": "<string>",
"destination_hint": "<string>",
"enabled": true,
"created_at": "<string>",
"updated_at": "<string>",
"object": "notification.channel"
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}